# AnswerInlineQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers / AnswerInlineQuery

# AnswerInlineQuery

(common) `data class AnswerInlineQuery : SimpleRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`AnswerInlineQuery(inlineQueryID: InlineQueryIdentifier, results: List<InlineQueryResult> = emptyList(), cachedTime: Int? = null, isPersonal: Boolean? = null, nextOffset: String? = null, switchPmText: String? = null, switchPmParameter: String? = null)`

### Properties

(common)

#### cachedTime

`val cachedTime: Int?`

(common)

#### inlineQueryID

`val inlineQueryID: InlineQueryIdentifier`

(common)

#### isPersonal

`val isPersonal: Boolean?`

(common)

#### nextOffset

`val nextOffset: String?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### results

`val results: List<InlineQueryResult>`

(common)

#### switchPmParameter

`val switchPmParameter: String?`

(common)

#### switchPmText

`val switchPmText: String?`

### Functions

(common)

#### method

`fun method(): String`